<app-title-page></app-title-page>
<div class="default-card">
  <div nz-row>
    <div nz-col [nzLg]="8" [nzMd]="24">
      <h2>Thay đổi mật khẩu</h2>
    </div>
    <div nz-col [nzLg]="16" [nzMd]="24">
      <form #form="ngForm" nz-form nzLayout="vertical">

        <nz-form-item>
          <nz-form-label nzRequired>Mật khẩu hiện tại</nz-form-label>
          <nz-form-control
            [nzValidateStatus]="password.dirty ? (password.invalid || wrongPassword ? 'error' : 'success') : ''">
            <nz-input-group [nzSuffix]="suffixOldPassword">
              <input nz-input #password="ngModel" name="password" [(ngModel)]="oldPassword"
                     (focus)="wrongPassword = false" required
                     [type]="oldPasswordVisible ? 'text' : 'password'"/>
              <ng-template #suffixOldPassword>
                <i nz-icon [nzType]="oldPasswordVisible ? 'eye-invisible' : 'eye'"
                   (click)="oldPasswordVisible = !oldPasswordVisible"></i>
              </ng-template>
            </nz-input-group>
            <ng-container *ngIf="password.invalid && password.touched">
              <nz-form-explain *ngIf="password.errors?.required" class="invalid-msg">
                Mật khẩu không được trống
              </nz-form-explain>
            </ng-container>

            <ng-container *ngIf="wrongPassword">
              <nz-form-explain class="invalid-msg">
                Sai mật khẩu
              </nz-form-explain>
            </ng-container>
          </nz-form-control>
        </nz-form-item>

        <nz-form-item>
          <nz-form-label nzRequired>Mật khẩu mới</nz-form-label>
          <nz-form-control>
            <nz-input-group [nzSuffix]="suffixPassword">
              <input nz-input #newPass="ngModel" name="newPassword" [(ngModel)]="newPassword"
                     (focus)="noMatchPassword = false" required
                     [type]="passwordVisible ? 'text' : 'password'"/>
            </nz-input-group>

            <ng-template #suffixPassword>
              <i nz-icon [nzType]="passwordVisible ? 'eye-invisible' : 'eye'"
                 (click)="passwordVisible = !passwordVisible"></i>
            </ng-template>

            <ng-container *ngIf="newPass.invalid && newPass.touched">
              <nz-form-explain *ngIf="newPass.errors?.required" class="invalid-msg">
                Mật khẩu không được trống
              </nz-form-explain>
            </ng-container>
          </nz-form-control>
        </nz-form-item>

        <nz-form-item>
          <nz-form-label nzRequired>Xác nhận mật khẩu</nz-form-label>
          <nz-form-control>
            <nz-input-group [nzSuffix]="suffixCfPassword">
              <input nz-input #confirmPass="ngModel" name="confirmPassword"
                     (focusout)="noMatchPassword = (confirmPassword != newPassword)"
                     (focus)="noMatchPassword = false"
                     [(ngModel)]="confirmPassword" required
                     [type]="cfPasswordVisible ? 'text' : 'password'"/>
              <ng-template #suffixCfPassword>
                <i nz-icon [nzType]="cfPasswordVisible ? 'eye-invisible' : 'eye'"
                   (click)="cfPasswordVisible  = !cfPasswordVisible "></i>
              </ng-template>
            </nz-input-group>
            <ng-container *ngIf="confirmPass.invalid && confirmPass.touched">
              <nz-form-explain *ngIf="confirmPass.errors?.required" class="invalid-msg">
                Mật khẩu không được trống
              </nz-form-explain>
            </ng-container>

            <ng-container *ngIf="noMatchPassword && confirmPassword.length > 0">
              <nz-form-explain class="invalid-msg">
                Mật khẩu xác nhận không khớp với mật khẩu mới
              </nz-form-explain>
            </ng-container>
          </nz-form-control>
        </nz-form-item>

        <div nz-row nzType="flex" nzJustify="space-between">
          <button nz-col nz-button nzType="primary" (click)="saveChange()"
                  [disabled]="!form.valid || newPassword != confirmPassword">Lưu thay đổi
          </button>
          <button nz-col nz-button nzType="default" routerLink="/users">Hủy</button>
        </div>
      </form>
    </div>
  </div>
</div>
